.container {
  background: rgba(255, 255, 255, 0.5);
  width: 80%; 
  height: 100%;
  margin: 30px;
  padding: 15px;
  gap: 15px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  justify-self: center;
  align-items: center;
  border: 1px solid #B9B9B9;
  border-radius: 5px;
}
 
.conteudo {
  margin: 15px;
  gap: 15px;
}

input, select {
  background: whitesmoke;
  width: 300px;
  height: 30px;
  border-radius: 5px;
  border: 1px solid #B9B9B9;
  outline: none;
  box-shadow: 2px 2px 2px 1px rgba(0, 0, 0, 0.2);
}

input:hover, select:hover {
  box-shadow: 0 0 5px 2px rgba(55, 177, 153, 0.5);
}

input:focus, select:focus {
  box-shadow: 0 0 5px 2px rgba(55, 177, 153, 0.5);
}

#input_file {
  background: none;
  border: none;
  all: unset;     
  display: inline-block; 
  width: auto; 
}

.titulo{
  text-align: center;
  margin: 30px;
}
.btns{
  display: flex;
    justify-content: center;
    gap: 15px;
    margin-top: 20px;
}

.btn {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 30px;
  margin-top: 30px;
  background: #026935;
  color: white;
  padding: 8px;
  border-radius: 5px;
  border: 1px solid #B9B9B9;
  box-shadow: 2px 2px 2px 1px rgba(0, 0, 0, 0.2);
  cursor: pointer;
  width: 100px;
}
 
.link:hover {
  text-decoration: underline;
} 
 
.area_upload {
  border: 2px dashed currentcolor;
  width: 500px;
  height: 200px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: whitesmoke;
  border-radius: 5px;
  color: #353A40;
  gap: 10px;
}

.area_upload i.material-icons {
  font-size: 1.5rem;
}

.suportados {
  color: #B9B9B9;
  font-size: small;
}

.data_base{
  display: flex;
  flex-direction: row;
  gap: 20px
}

.data_base input{
  width: 100px;
}

.data_base select{
  width: 100px;
}

.hidden{
  display: none;
} 

#input_file {
  display: block;
  background: none;
  border: none;
  width: auto;
}


/* */

/* Overlay do loader no centro da tela */
.loader-overlay{
  display: none;                 
  position: fixed;
  inset: 0;                      
  background: rgba(0,0,0,.35);   
  z-index: 9999;

  /* centraliza o logo */
  align-items: center;
  justify-content: center;
}

.loader-overlay.show{
  display: flex;
}

/* Logo girando */
.loader-logo{
  width: 96px;                   
  height: 96px;
  display: block;
  animation: spin 1s linear infinite;
  transform-origin: 50% 50%;
}

@keyframes spin {
  to { transform: rotate(360deg); }   
}

.delete-row {
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}


